Bug 204486 - DHCP doesn't work with nVidia MCP51 (rev a3) NIC
DHCP doesn't work with nVidia MCP51 (rev a3) NIC
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 10:34 EDT by Larry Troan
Modified: 2016-04-18 05:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vv output (21.87 KB, text/plain)
2006-08-30 07:51 EDT, Larry Troan
no flags Details
/var/log/messages (42.24 KB, text/plain)
2006-08-30 07:52 EDT, Larry Troan
no flags Details
/var/log/dmesg (23.77 KB, text/plain)
2006-08-30 07:53 EDT, Larry Troan
no flags Details

  None (edit)
Description Larry Troan 2006-08-29 10:34:58 EDT
Description of problem:
Recently purchased an HP a1540n Desktop which has an onboard nVidia 10/100 EN
NIC. If I selest DHCP, the port does not come up due to a failure in DHCP
negotiation. If I connect with a static IP address, it works fine.

Version-Release number of selected component (if applicable):
FC5 gold DVD: kernel-2.6.15-1.2054-FC5smp

Processor is an AMD Athlon 64x2 CPU with 2GB memory and 250GB SATA drive.

How reproducible:
Always

Steps to Reproduce:
1. configure DHCP
2. boot FC5 i686 kernel
3. eth0 times out during boot
  
Actual results:

No broadband connectivity.

Expected results:

Connectivity

Additional info:
Static IP address works.

lspci output:
00:10.0 PCI bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)

/var/log/messages information:
local host: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 3
local host: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
local host: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
local host: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 18
local host: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 15
local host: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 9
dhclient: No DHCPOFFERS received

The nVidia TAM suggests this may be the same as Bug 197797.

Note that DHCP works with dual boot WindowsXP Media (NIC hardware works) as well
as with a Linux static IP address.
Comment 1 Larry Troan 2006-08-29 10:38:02 EDT
Will append /var/log/dmesg and /var/log/messages per QE request.

I can make hardware available in Red Hat Raleigh if it will help Fedora Engineering.
Comment 2 Larry Troan 2006-08-30 07:49:55 EDT
Appending /var/log/messages, /var/log/dmesg and "lspci -vv" output.

NOTE: STATIC ADDRESS APPEARS TO WORK [service network restart -> OK] BUT DNS IS
STILL NOT RESOLVING NAMES. LOADING THE DNS ADDRESS DOES NOT HELP AND PUTTING A
PHYSICAL IP ADDRESS IN A FIREFOX BROWSER STILL DOES NOT FIND THE PAGE. So I
don't think the static IP address is working much better than DHCP.

lspci -vv output:
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0 (250ns min, 5000ns max)
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at f200 [size=8]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable+ DSel=0 DScale=0 PME-

My workaround appears to go buy a $10 10/100 EN NIC Linux does support.
Comment 3 Larry Troan 2006-08-30 07:51:41 EDT
Created attachment 135200 [details]
lspci -vv output
Comment 4 Larry Troan 2006-08-30 07:52:44 EDT
Created attachment 135201 [details]
/var/log/messages
Comment 5 Larry Troan 2006-08-30 07:53:30 EDT
Created attachment 135202 [details]
/var/log/dmesg
Comment 6 David Lawrence 2006-09-05 11:25:11 EDT
Reassigning to correct owner, kernel-maint.
Comment 7 Dave Jones 2006-10-16 15:19:14 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Jon Stanley 2008-01-19 23:41:06 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.